package com.googlecode.mad.mvntools.settingsutil.filestore;


/**
 * - Apache License 2.0 - <br>
 * Mojo to delete the local files <br>
 * <br>
 * LastChangedBy: $Author: marthaler.worb@gmail.com $<br>
 * LastChangedDate: $Date: 2010-12-29 14:14:06 +0100 (Mi, 29 Dez 2010) $
 * 
 * @author daniel marthaler
 * @version $Revision: 21 $
 * @since 24.12.2010
 * @goal delete
 */
public class LocalFileDeleter extends AbstractFilestore {
    
    public LocalFileDeleter() {
        super();
        this.fileName = "SettingsUtil:delete";
    }
    
    @Override
    protected void myExecute() {
        
        for (final String string : this.files) {
            this.fileUtil.deleteFileOrFolder(this.getRootPath() + this.delimiter + string);
        }
        for (final String string : this.folders) {
            this.fileUtil.deleteFileOrFolder(this.getRootPath() + this.delimiter + string);
        }
    }
}
